summaryrefslogtreecommitdiffstats
path: root/utils/nwztools/scripts/install_dualboot.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/nwztools/scripts/install_dualboot.sh')
-rw-r--r--utils/nwztools/scripts/install_dualboot.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/utils/nwztools/scripts/install_dualboot.sh b/utils/nwztools/scripts/install_dualboot.sh
index c134929312..2e2bd050cc 100644
--- a/utils/nwztools/scripts/install_dualboot.sh
+++ b/utils/nwztools/scripts/install_dualboot.sh
@@ -36,8 +36,6 @@ exec > "$CONTENTS/install_dualboot_log.txt" 2>&1
. /install_script/constant.txt
_UPDATE_FN_=`nvpstr ufn`
ROOTFS_TMP_DIR=/tmp/rootfs
-ROCKBOX_NAME=Rockbox
-ROCKBOX_PATH=$ROOTFS_TMP_DIR/usr/local/bin/$ROCKBOX_NAME
SPIDERAPP_PATH=$ROOTFS_TMP_DIR/usr/local/bin/SpiderApp
# mount root partition
@@ -51,8 +49,12 @@ fi
# NOTE some platforms use ext4 with a custom mount program
# (/usr/local/bin/icx_mount.ext4), some probably use an mtd too
+# try ext3 and if it fails, try ext2
mount -t ext3 $COMMON_ROOTFS_PARTITION $ROOTFS_TMP_DIR
if [ "$?" != 0 ]; then
+ mount -t ext2 $COMMON_ROOTFS_PARTITION $ROOTFS_TMP_DIR
+fi
+if [ "$?" != 0 ]; then
lcdmsg -f /usr/local/bin/font_08x12.bmp -l 0,15 "ERROR: mount failed"
sleep 3
exit 0